- NAME
- SYNOPSIS
- DESCRIPTION
- RETURN VALUES
- SEE ALSO
- HISTORY
- COPYRIGHT

# NAME

OSSL_SERIALIZER_to_bio, OSSL_SERIALIZER_to_fp - Serializer file output routines

# SYNOPSIS

     #include <openssl/serializer.h>

     int OSSL_SERIALIZER_to_bio(OSSL_SERIALIZER_CTX *ctx, BIO *out);
     int OSSL_SERIALIZER_to_fp(OSSL_SERIALIZER_CTX *ctx, FILE *fp);

Feature availability macros:

`OSSL_SERIALIZER_to_fp()` is only available when OPENSSL_NO_STDIO is undefined.

# DESCRIPTION

`OSSL_SERIALIZER_to_bio()` runs the serialization process for the context ctx, with the output going to the BIO out. The application is required to set up the BIO properly, for example to have it in text or binary mode if that's appropriate.

`OSSL_SERIALIZER_to_fp()` does the same thing as `OSSL_SERIALIZER_to_bio()`, except that the output is going to the FILE fp.

# RETURN VALUES

`OSSL_SERIALIZER_to_bio()` and `OSSL_SERIALIZER_to_fp()` return 1 on success, or 0 on failure.

# SEE ALSO

provider(7), OSSL_SERIALIZER_CTX(3)

# HISTORY

The functions described here were added in OpenSSL 3.0.

# COPYRIGHT

Copyright 2019 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the Apache License 2.0 (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at https://www.openssl.org/source/license.html.